Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000007 [MyDNS-NG] Global feature always 2008-02-25 10:59 2008-11-15 11:26
Reporter howardwilkinson View Status public  
Assigned To howardwilkinson
Priority normal Resolution fixed  
Status closed   Product Version 1.2.7
Summary 0000007: Wildcard's do not match in parent zones
Description Some name servers allow searches up the parent tree for matches in wildcards.

E.g. if we have a zone us.example.com with a wildcard entry in example.com

*.example.com 86400 in a 192.168.1.1

then a host lookup for fred.us.example.com will match the wildcard in some name servers but not in others.

Currently MyDNS does not search up the parent tree.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000015)
howardwilkinson (administrator)
2008-02-25 11:06

This is not as simple as it first appears.
Searching up the zone tree only works if:
    MyDNS holds the parent zone(s) locally
or
    MyDNS is running in recursive mode and can use the recursive server to match the request.

Searches towards the roots will need to terminate somewhere otherwise you hit the root servers for .com etc with every failing look up! Which results in caches issues with NXDOMAIN failures swamping the cache.

Changing this behaviour needs lots of thought.
(0000016)
jorge (administrator)
2008-03-04 20:28

hi Howard,
when do you think that is possible to do some work on this?
(0000018)
howardwilkinson (administrator)
2008-03-05 16:58

This feature only makes sense if the server is holding the zone tree and not isolated zones. I.E. it must be master for the sub-zones and the parent zone. And even then the results are going to depend on what records are stored in the search path!

I may do some work on this downstream but for the present I cannot see how to implement this feature securely and robustly.

Once we have Slave zones, forwarders and stubs available then it might be doable but at present I am going to kick this beyond the 1.3.x series of releases. So not for now!
(0000040)
howardwilkinson (administrator)
2008-11-05 08:41

This facility has been implemented in the 1.2.8.4 release under control of a configuration switch. It respects zone cuts and stops searching when a zone cut not held by the local server is found.
(0000041)
howardwilkinson (administrator)
2008-11-05 08:45

Hexonet sponsered the development to provide this facility.
(0000045)
jorge (administrator)
2008-11-05 09:52

Great!
Can i know how mutch?

- Issue History
Date Modified Username Field Change
2008-02-25 10:59 howardwilkinson New Issue
2008-02-25 10:59 howardwilkinson Status new => assigned
2008-02-25 10:59 howardwilkinson Assigned To => howardwilkinson
2008-02-25 11:06 howardwilkinson Note Added: 0000015
2008-02-25 17:19 jorge Issue Monitored: jorge
2008-03-04 20:28 jorge Note Added: 0000016
2008-03-05 16:58 howardwilkinson Note Added: 0000018
2008-11-05 08:41 howardwilkinson Note Added: 0000040
2008-11-05 08:45 howardwilkinson Status assigned => resolved
2008-11-05 08:45 howardwilkinson Fixed in Version => 1.2.8.4
2008-11-05 08:45 howardwilkinson Resolution open => fixed
2008-11-05 08:45 howardwilkinson Note Added: 0000041
2008-11-05 09:52 jorge Note Added: 0000045
2008-11-15 11:26 howardwilkinson Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker